<?php

namespace Modules\Admin\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Validator;
use Illuminate\Database\QueryException;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Str;


use App\Models\User;
use App\Models\AdminDetails;
use App\Models\Companies;
use App\Models\Supliers;
use App\Models\Categories;
use App\Models\Brands;
use App\Models\Products;
use App\Models\ProductGallery;
use App\Models\GRNS;
use App\Models\Returns;

use File;
use Mail;
use Image;
use PDF;
class GRNController extends Controller
{
    public function add_grn(Request $request)
    { if($request->isMethod('get')){
        $supliers = Supliers::where('status','active')->get();
        $products = Products::where('status','active')->get();
        $grnNumber = $this->generateUniqueGrnNumber();
        return view('admin::grn.add_grn',['supliers' => $supliers,'products' => $products,'grnNumber' => $grnNumber]);
    }
    if($request->isMethod('post')){

        $request->validate([
            'grn_number'   => 'required',
            'suplier'   => 'required',
            'purchase_order_number'   => 'required',
            'product'   => 'required',
            'quantity'   => 'required',
            'received_date'   => 'required',
        ]);

        $grn = new GRNS();
        $grn->grn_number =$request->grn_number;
        $grn->suplier = $request->suplier;
        $grn->purchase_order_number = $request->purchase_order_number;
        $grn->product = $request->product;
        $grn->quantity = $request->quantity;
        $grn->received_date = $request->received_date;
        $grn->warehouse_location = $request->warehouse_location;
        $grn->inspector_name = $request->inspector_name;
        $grn->notes = $request->notes;
        $grn->wholesale_purchase_price = $request->wholesale_purchase_price;
        $grn->wholesale_selling_price = $request->wholesale_selling_price;
        $grn->retail_purchase_price = $request->retail_purchase_price;
        $grn->retail_selling_price = $request->retail_selling_price;

        $grn->save();

        return back()->with('success', 'GRN Successfully Added');

    }

    }
    public function grns(Request $request)
    { if($request->isMethod('get')){
        $grns = GRNS::get();
        return view('admin::grn.grns',['grns' => $grns]);
    }

    }
    public function edit_grn($id,Request $request)
    {
    if($request->isMethod('get')){
    $grn_details = GRNS::where('id',$id)->first();
    $supliers = Supliers::where('status','active')->get();
    $products = Products::where('status','active')->get();
    return view('admin::grn.edit_grn', ['grn_details' => $grn_details,'supliers' => $supliers,'products' => $products]);
    }
    if($request->isMethod('post')){

        $grn = GRNS::find($id);
        $grn->grn_number =$request->grn_number;
        $grn->suplier = $request->suplier;
        $grn->purchase_order_number = $request->purchase_order_number;
        $grn->product = $request->product;
        $grn->quantity = $request->quantity;
        $grn->received_date = $request->received_date;
        $grn->warehouse_location = $request->warehouse_location;
        $grn->inspector_name = $request->inspector_name;
        $grn->notes = $request->notes;
        $grn->wholesale_purchase_price = $request->wholesale_purchase_price;
        $grn->wholesale_selling_price = $request->wholesale_selling_price;
        $grn->retail_purchase_price = $request->retail_purchase_price;
        $grn->retail_selling_price = $request->retail_selling_price;
        $grn->update();

        return back()->with('success', 'GRN Details Successfully  Updated');
    }

    }
    public function add_return(Request $request)
    { if($request->isMethod('get')){
        return view('admin::grn.add_return');
    }
    if($request->isMethod('post')){
        $request->validate([
            'grn_number'   => 'required',
            'quantity'   => 'required',
            'return_date'   => 'required',
        ]);

        if(GRNS::where("grn_number",$request->grn_number)->exists()){

            $return = new Returns();
            $return->grn_number =$request->grn_number;
            $return->quantity = $request->quantity;
            $return->return_reason = $request->return_reason;
            $return->return_date = $request->return_date;
            $return->authorized_by = $request->authorized_by;
            $return->save();
    
            $current_quantity = GRNS::where('grn_number',$request->grn_number)->value('quantity');
            $grn = GRNS::where('grn_number',$request->grn_number)->first();
            $grn->quantity = $current_quantity-$request->quantity;
            $grn->update();

            return back()->with('success', 'GRN Successfully Added');
        }
        else{
            return back()->with('fail', 'Invalid GRN Number');
        }


    }

    }
    public function returns(Request $request)
    { if($request->isMethod('get')){
        $returns = Returns::get();
        return view('admin::grn.returns',['returns' => $returns]);
    }

    }
    public function edit_return($id,Request $request)
    {
    if($request->isMethod('get')){
    $return_details = Returns::where('id',$id)->first();
    return view('admin::grn.edit_return', ['return_details' => $return_details]);
    }
    if($request->isMethod('post')){
        $request->validate([
            'grn_number'   => 'required',
            'quantity'   => 'required',
            'return_date'   => 'required',
        ]);

        if(GRNS::where("grn_number",$request->grn_number)->exists()){

            $current_return_quantity = Returns::where('id',$id)->value('quantity');
            if($current_return_quantity > $request->quantity){

                $diff = $current_return_quantity - $request->quantity;
                $current_quantity = GRNS::where('grn_number',$request->grn_number)->value('quantity');
                $grn = GRNS::where('grn_number',$request->grn_number)->first();
                $grn->quantity = $current_quantity-$diff;
                $grn->update();

            }
            else if($current_return_quantity < $request->quantity){
                $diff = $request->quantity - $current_return_quantity;
                $current_quantity = GRNS::where('grn_number',$request->grn_number)->value('quantity');
                $grn = GRNS::where('grn_number',$request->grn_number)->first();
                $grn->quantity = $current_quantity+$diff;
                $grn->update();
            }
            else{

            }

            $return = Returns::where('id',$id)->first();
            $return->grn_number =$request->grn_number;
            $return->quantity = $request->quantity;
            $return->return_reason = $request->return_reason;
            $return->return_date = $request->return_date;
            $return->authorized_by = $request->authorized_by;
            $return->update();

            return back()->with('success', 'GRN Successfully Added');
        }
        else{
            return back()->with('fail', 'Invalid GRN Number');
        }
    }

    }
    
private function generateUniqueGrnNumber()
{
    do {
        $grnNumber = strtoupper(Str::random(6));
        
        $exists = GRNS::where('grn_number', $grnNumber)->exists();
    } while ($exists);
    
    return $grnNumber;
}
}