@include('admin::layouts.header')
<?php
use App\Models\Supliers;
use App\Models\Products;
?>
<main id="main-container">
        <!-- Hero -->
        <div class="bg-body-light">
          <div class="content content-full">
            <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
              <h1 class="flex-grow-1 fs-3 fw-semibold my-2 my-sm-3">Edit GRN</h1>
              <nav class="flex-shrink-0 my-2 my-sm-0 ms-sm-3" aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item">Dashboard</li>
                  <li class="breadcrumb-item">GRN</li>
                  <li class="breadcrumb-item active" aria-current="page">Edit GRN</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
        <!-- END Hero -->

        <!-- Page Content -->
        <div class="content">
          <!-- Your Block -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Edit GRN</h3>
            </div>
            <div class="block-content">
            @if(Session::has('success')) <div class="alert alert-success mt-2 mb-2">{{ Session::get('success') }}</div>@endif
            @if(Session::has('fail')) <div class="alert alert-danger mt-2 mb-2">{{ Session::get('fail') }}</div>@endif
            <form class="row" action="" method="POST" >
            @csrf
                    <div class="col-md-3 mb-3">
                      <label class="form-label">GRN Number</label>
                      <input type="text" class="form-control" name="grn_number" value="{{$grn_details->grn_number}}">
                      @if($errors->has("grn_number")) <div class="alert alert-danger mt-2">{{ $errors->first('grn_number') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                    <label class="form-label">Suplier</label>
                    <select class="js-select2 form-select" id="suplier" name="suplier" style="width: 100%;" data-placeholder="Select a suplier..">
                    <?php if($grn_details->suplier) { ?> 
                        <option value="{{$grn_details->suplier}}">{{Supliers::where('id', $grn_details->suplier)->value('suplier_name')}}</option>
                    <?php } ?>
                    <option></option>
                    <?php foreach($supliers as $suplier){ ?> 
                        <option value="{{$suplier->id}}">{{$suplier->suplier_name}}</option>
                    <?php } ?>
                    </select>
                      @if($errors->has("suplier")) <div class="alert alert-danger mt-2">{{ $errors->first('suplier') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Purchase Order Number</label>
                      <input type="text" class="form-control" name="purchase_order_number" value="{{$grn_details->purchase_order_number}}">
                      @if($errors->has("purchase_order_number")) <div class="alert alert-danger mt-2">{{ $errors->first('purchase_order_number') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                    <label class="form-label">Product</label>
                    <select class="js-select2 form-select" id="product" name="product" style="width: 100%;" data-placeholder="Select a product..">
                    <?php if($grn_details->product) { ?> 
                        <option value="{{$grn_details->product}}">{{Products::where('id', $grn_details->product)->value('product_name')}}</option>
                    <?php } ?>
                    <option></option>
                    <?php foreach($products as $product){ ?> 
                        <option value="{{$product->id}}">{{$product->product_name}}</option>
                    <?php } ?>
                    </select>
                      @if($errors->has("product")) <div class="alert alert-danger mt-2">{{ $errors->first('product') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Quantity</label>
                      <input type="number" class="form-control" name="quantity" value="{{$grn_details->quantity}}">
                      @if($errors->has("quantity")) <div class="alert alert-danger mt-2">{{ $errors->first('quantity') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Wholesale Purchase Price</label>
                      <input type="number" class="form-control" name="wholesale_purchase_price" value="{{$grn_details->wholesale_purchase_price}}">
                      @if($errors->has("wholesale_purchase_price")) <div class="alert alert-danger mt-2">{{ $errors->first('wholesale_purchase_price') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Wholesale Selling Price</label>
                      <input type="number" class="form-control" name="wholesale_selling_price" value="{{$grn_details->wholesale_selling_price}}">
                      @if($errors->has("wholesale_selling_price")) <div class="alert alert-danger mt-2">{{ $errors->first('wholesale_selling_price') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Retail Purchase Price</label>
                      <input type="number" class="form-control" name="retail_purchase_price" value="{{$grn_details->retail_purchase_price}}">
                      @if($errors->has("retail_purchase_price")) <div class="alert alert-danger mt-2">{{ $errors->first('retail_purchase_price') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Retail Selling Price</label>
                      <input type="number" class="form-control" name="retail_selling_price" value="{{$grn_details->retail_selling_price}}">
                      @if($errors->has("retail_selling_price")) <div class="alert alert-danger mt-2">{{ $errors->first('retail_selling_price') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Received Date</label>
                      <input type="date" class="form-control" name="received_date" value="{{$grn_details->received_date}}">
                      @if($errors->has("received_date")) <div class="alert alert-danger mt-2">{{ $errors->first('received_date') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                    <label class="form-label">Warehouse Location</label>
                      <select class="js-select2 form-select" id="warehouse_location" name="warehouse_location" style="width: 100%;" data-placeholder="Select a warehouse..">
                    <?php if($grn_details->warehouse_location) { ?> 
                        <option value="{{$grn_details->warehouse_location}}">{{$grn_details->warehouse_location}}</option>
                    <?php } ?>
                      <option></option>
                      <option value="Home">Home</option>
                    </select>
                      @if($errors->has("warehouse_location")) <div class="alert alert-danger mt-2">{{ $errors->first('warehouse_location') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Inspector Name</label>
                      <input type="text" class="form-control" name="inspector_name" value="{{$grn_details->inspector_name}}">
                      @if($errors->has("inspector_name")) <div class="alert alert-danger mt-2">{{ $errors->first('inspector_name') }}</div>@endif
                    </div>
                    <div class="col-md-12 mb-3">
                      <label class="form-label">Notes</label>
                     <textarea  class="form-control" name="notes" rows="3">{{$grn_details->notes}}</textarea>
                      @if($errors->has("notes")) <div class="alert alert-danger mt-2">{{ $errors->first('notes') }}</div>@endif
                    </div>
                    <div>
                      <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                  </form>
            </div>
          </div>
          <!-- END Your Block -->
        </div>
        <!-- END Page Content -->
</main>
<!-- END Main Container -->
@include('admin::layouts.footer')