@include('admin::layouts.header')
<?php
use App\Models\Supliers;
use App\Models\Products;
?>
<main id="main-container">
        <!-- Hero -->
        <div class="bg-body-light">
          <div class="content content-full">
            <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
              <h1 class="flex-grow-1 fs-3 fw-semibold my-2 my-sm-3">Edit Return</h1>
              <nav class="flex-shrink-0 my-2 my-sm-0 ms-sm-3" aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item">Dashboard</li>
                  <li class="breadcrumb-item">GRN</li>
                  <li class="breadcrumb-item active" aria-current="page">Edit Return</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
        <!-- END Hero -->

        <!-- Page Content -->
        <div class="content">
          <!-- Your Block -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Edit Return</h3>
            </div>
            <div class="block-content">
            @if(Session::has('success')) <div class="alert alert-success mt-2 mb-2">{{ Session::get('success') }}</div>@endif
            @if(Session::has('fail')) <div class="alert alert-danger mt-2 mb-2">{{ Session::get('fail') }}</div>@endif
            <form class="row" action="" method="POST" >
            @csrf
                    <div class="col-md-3 mb-3">
                      <label class="form-label">GRN Number</label>
                      <input type="text" class="form-control" name="grn_number" value="{{$return_details->grn_number}}">
                      @if($errors->has("grn_number")) <div class="alert alert-danger mt-2">{{ $errors->first('grn_number') }}</div>@endif
                    </div>
                    
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Quantity</label>
                      <input type="number" class="form-control" name="quantity" value="{{$return_details->quantity}}">
                      @if($errors->has("quantity")) <div class="alert alert-danger mt-2">{{ $errors->first('quantity') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Return Reason</label>
                      <input type="text" class="form-control" name="return_reason" value="{{$return_details->return_reason}}">
                      @if($errors->has("return_reason")) <div class="alert alert-danger mt-2">{{ $errors->first('return_reason') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Return Date</label>
                      <input type="date" class="form-control" name="return_date" value="{{$return_details->return_date}}">
                      @if($errors->has("return_date")) <div class="alert alert-danger mt-2">{{ $errors->first('return_date') }}</div>@endif
                    </div>
                  
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Authorized By</label>
                      <input type="text" class="form-control" name="authorized_by" value="{{$return_details->authorized_by}}">
                      @if($errors->has("authorized_by")) <div class="alert alert-danger mt-2">{{ $errors->first('authorized_by') }}</div>@endif
                    </div>
                   
                    <div>
                      <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                  </form>
            </div>
          </div>
          <!-- END Your Block -->
        </div>
        <!-- END Page Content -->
</main>
<!-- END Main Container -->
@include('admin::layouts.footer')