@include('admin::layouts.header')
<?php
use App\Models\Categories;
use App\Models\Supliers;
use App\Models\Products;
?>
<main id="main-container">
        <!-- Hero -->
        <div class="bg-body-light">
          <div class="content content-full">
            <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
              <h1 class="flex-grow-1 fs-3 fw-semibold my-2 my-sm-3">GRN's</h1>
              <nav class="flex-shrink-0 my-2 my-sm-0 ms-sm-3" aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item">Dashboard</li>
                  <li class="breadcrumb-item">GRN</li>
                  <li class="breadcrumb-item active" aria-current="page">GRN's</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
        <!-- END Hero -->

        <!-- Page Content -->
        <div class="content">
          <!-- Your Block -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">GRN's</h3>
            </div>
            <div class="block-content">
            @if(Session::has('success')) <div class="alert alert-success mt-2 mb-2">{{ Session::get('success') }}</div>@endif
            @if(Session::has('fail')) <div class="alert alert-danger mt-2 mb-2">{{ Session::get('fail') }}</div>@endif
            <table class="table table-bordered table-striped table-vcenter js-dataTable-buttons">
                <thead>
                  <tr>
                  <th>GRN Number</th>
                  <th>Suplier</th>
                  <th>Purchase Order Number</th>
                  <th>Product</th>
                  <th>Quantity</th>
                  <th>Wholesale Price</th>
                  <th>Retail Price</th>
                  <th>Received Date</th>
                  <th>Actions</th>
                  </tr>
                </thead>
                <tbody>
                <?php foreach($grns as $grn) {

                ?>
                  <tr>

                    <td class="fw-semibold">
                    {{$grn->grn_number}}
                    </td>
                    <td class="fw-semibold">
                    {{Supliers::where('id', $grn->suplier)->value('suplier_name')}}
                    </td>
                    <td class="fw-semibold">
                    {{$grn->purchase_order_number}}
                    </td>
                    <td class="fw-semibold">
                    {{Products::where('id', $grn->product)->value('product_name')}}
                    </td>
                    <td class="fw-semibold">
                    {{$grn->quantity}}
                    </td>
                    <td class="fw-semibold">
                    {{number_format($grn->wholesale_selling_price)}}
                    </td>
                    <td class="fw-semibold">
                    {{number_format($grn->retail_selling_price)}}
                    </td>
                    <td class="fw-semibold">
                    {{$grn->received_date}}
                    </td>
                    <td class="text-center">
                        <div class="btn-group">
                        <a href="{{ url('admin/edit-grn/'.$grn->id.'') }}" ><button type="button" class="btn btn-sm btn-alt-primary js-bs-tooltip-enabled" data-bs-toggle="tooltip" aria-label="Edit" data-bs-original-title="Edit">
                            <i class="fa fa-pencil-alt"></i>
                          </button></a>
                        </div>
                      </td>
                  </tr>
                <?php } ?>
                </tbody>
              </table>
            </div>
          </div>
          <!-- END Your Block -->
        </div>
        <!-- END Page Content -->
</main>
<!-- END Main Container -->
@include('admin::layouts.footer')