@include('admin::layouts.header')
<?php
use App\Models\Categories;
use App\Models\Supliers;
use App\Models\Brands;
?>
<main id="main-container">
        <!-- Hero -->
        <div class="bg-body-light">
          <div class="content content-full">
            <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
              <h1 class="flex-grow-1 fs-3 fw-semibold my-2 my-sm-3">Add Product</h1>
              <nav class="flex-shrink-0 my-2 my-sm-0 ms-sm-3" aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item">Dashboard</li>
                  <li class="breadcrumb-item">Product</li>
                  <li class="breadcrumb-item active" aria-current="page">Add Product</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
        <!-- END Hero -->

        <!-- Page Content -->
        <div class="content">
          <!-- Your Block -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Add Product</h3>
            </div>
            <div class="block-content">
            @if(Session::has('success')) <div class="alert alert-success mt-2 mb-2">{{ Session::get('success') }}</div>@endif
            @if(Session::has('fail')) <div class="alert alert-danger mt-2 mb-2">{{ Session::get('fail') }}</div>@endif
            <form class="row" action="" method="POST" enctype="multipart/form-data">
            @csrf
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Product Name</label>
                      <input type="text" class="form-control" name="product_name" value="{{old('product_name')}}">
                      @if($errors->has("product_name")) <div class="alert alert-danger mt-2">{{ $errors->first('product_name') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Product Code</label>
                      <input type="text" class="form-control" name="product_code" value="{{old('product_code')}}">
                      @if($errors->has("product_code")) <div class="alert alert-danger mt-2">{{ $errors->first('product_code') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Parent Category</label>
                      <select class="js-select2 form-select" id="parent_category" name="parent_category" style="width: 100%;" data-placeholder="Select a category..">
                        <?php if(old('parent_category')) { ?> 
                            <option value="{{old('parent_category')}}">{{Categories::where('id', old('parent_category'))->value('category_name')}}</option>
                        <?php } ?>
                        <option></option>
                      <?php foreach($parent_categories as $parent_category){ ?> 
                        <option value="{{$parent_category->id}}">{{$parent_category->category_name}}</option>
                        <?php } ?>
                      </select>
                      @if($errors->has("contact_person")) <div class="alert alert-danger mt-2">{{ $errors->first('contact_person') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                    <label class="form-label">Sub Category</label>
                    <select class="js-select2 form-select" id="sub_category" name="sub_category" style="width: 100%;" data-placeholder="Select a parent category..">
                    <?php if(old('sub_category')) { ?> 
                        <option value="{{old('sub_category')}}">{{Categories::where('id', old('sub_category'))->value('category_name')}}</option>
                    <?php } ?>
                    <option></option>
                    </select>
                      @if($errors->has("sub_category")) <div class="alert alert-danger mt-2">{{ $errors->first('sub_category') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                    <label class="form-label">Suplier</label>
                    <select class="js-select2 form-select" id="suplier" name="suplier" style="width: 100%;" data-placeholder="Select a suplier..">
                    <?php if(old('suplier')) { ?> 
                        <option value="{{old('suplier')}}">{{Supliers::where('id', old('suplier'))->value('suplier_name')}}</option>
                    <?php } ?>
                    <option></option>
                    <?php foreach($supliers as $suplier){ ?> 
                        <option value="{{$suplier->id}}">{{$suplier->suplier_name}}</option>
                    <?php } ?>
                    </select>
                      @if($errors->has("suplier")) <div class="alert alert-danger mt-2">{{ $errors->first('suplier') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Brand</label>
                      <select class="js-select2 form-select" id="brand" name="brand" style="width: 100%;" data-placeholder="Select a brand..">
                    <?php if(old('brand')) { ?> 
                        <option value="{{old('brand')}}">{{Brands::where('id', old('brand'))->value('brand_name')}}</option>
                    <?php } ?>
                      <option></option>
                      <?php foreach($brands as $brand){ ?> 
                      <option value="{{$brand->id}}">{{$brand->brand_name}}</option>
                      <?php } ?>
                    </select>
                      @if($errors->has("brand")) <div class="alert alert-danger mt-2">{{ $errors->first('brand') }}</div>@endif
                    </div>
                    <!-- <div class="col-md-3 mb-3">
                      <label class="form-label">Wholesale Purchase Price</label>
                      <input type="number" class="form-control" name="wholesale_purchase_price" value="{{old('wholesale_purchase_price')}}">
                      @if($errors->has("wholesale_purchase_price")) <div class="alert alert-danger mt-2">{{ $errors->first('wholesale_purchase_price') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Wholesale Selling Price</label>
                      <input type="number" class="form-control" name="wholesale_selling_price" value="{{old('wholesale_selling_price')}}">
                      @if($errors->has("wholesale_selling_price")) <div class="alert alert-danger mt-2">{{ $errors->first('wholesale_selling_price') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Retail Purchase Price</label>
                      <input type="number" class="form-control" name="retail_purchase_price" value="{{old('retail_purchase_price')}}">
                      @if($errors->has("retail_purchase_price")) <div class="alert alert-danger mt-2">{{ $errors->first('retail_purchase_price') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Retail Selling Price</label>
                      <input type="number" class="form-control" name="retail_selling_price" value="{{old('retail_selling_price')}}">
                      @if($errors->has("retail_selling_price")) <div class="alert alert-danger mt-2">{{ $errors->first('retail_selling_price') }}</div>@endif
                    </div> -->
                    <div class="col-md-3 mb-3">
                      <label class="form-label">SKU</label>
                      <input type="text" class="form-control" name="sku" value="{{old('sku')}}">
                      @if($errors->has("sku")) <div class="alert alert-danger mt-2">{{ $errors->first('sku') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Barcode</label>
                      <input type="text" class="form-control" name="sku" value="{{old('barcode')}}">
                      @if($errors->has("barcode")) <div class="alert alert-danger mt-2">{{ $errors->first('barcode') }}</div>@endif
                    </div>
                    <!-- <div class="col-md-3 mb-3">
                      <label class="form-label">Minimum Stock Level</label>
                      <input type="text" class="form-control" name="min_stock" value="{{old('min_stock')}}">
                      @if($errors->has("min_stock")) <div class="alert alert-danger mt-2">{{ $errors->first('min_stock') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Max Stock Level</label>
                      <input type="text" class="form-control" name="max_stock" value="{{old('max_stock')}}">
                      @if($errors->has("max_stock")) <div class="alert alert-danger mt-2">{{ $errors->first('max_stock') }}</div>@endif
                    </div> -->
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Warehouse Location</label>
                      <select class="js-select2 form-select" id="warehouse_location" name="warehouse_location" style="width: 100%;" data-placeholder="Select a warehouse..">
                    <?php if(old('warehouse_location')) { ?> 
                        <option value="{{old('warehouse_location')}}">{{old('warehouse_location')}}</option>
                    <?php } ?>
                      <option></option>
                      <option value="Home">Home</option>
                    </select>
                      @if($errors->has("warehouse_location")) <div class="alert alert-danger mt-2">{{ $errors->first('warehouse_location') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Units</label>
                      <input type="text" class="form-control" name="units" value="{{old('units')}}">
                      @if($errors->has("units")) <div class="alert alert-danger mt-2">{{ $errors->first('units') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Carton Size</label>
                      <input type="text" class="form-control" name="carton_size" value="{{old('carton_size')}}">
                      @if($errors->has("carton_size")) <div class="alert alert-danger mt-2">{{ $errors->first('carton_size') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Featured Image</label>
                      <input type="file" class="form-control" name="featured_image" >
                      @if($errors->has("featured_image")) <div class="alert alert-danger mt-2">{{ $errors->first('featured_image') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Gallery Images</label>
                      <input type="file" class="form-control" name="gallery_images[]" multiple>
                      @if($errors->has("gallery_images")) <div class="alert alert-danger mt-2">{{ $errors->first('gallery_images') }}</div>@endif
                    </div>
                    <div class="col-md-12 mb-3">
                      <label class="form-label">Description</label>
                      <textarea class="js-simplemde" id="description" name="description"><?php echo old('description') ?></textarea>
                      @if($errors->has("description")) <div class="alert alert-danger mt-2">{{ $errors->first('description') }}</div>@endif
                    </div>
                    <div>
                      <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                  </form>
            </div>
          </div>
          <!-- END Your Block -->
        </div>
        <!-- END Page Content -->
</main>
<!-- END Main Container -->
@include('admin::layouts.footer')

<script>
    $(document).ready(function() {
        $('#parent_category').change(function() {
            var parentId = $(this).val();
            $('#sub_category').empty();
            if (parentId) {
                $.ajax({
                    url: '{{ url('admin/get-sub-categories') }}/' + parentId,
                    type: 'GET',
                    dataType: 'json',
                    success: function(data) {
                        $.each(data, function(key, value) {
                            $('#sub_category').append('<option value="'+ value.id +'">'+ value.category_name +'</option>');
                        });
                    }
                });
            } else {
                $('#sub_category').append('<option value="">Select a sub category..</option>');
            }
        });
    });
</script>






