@include('admin::layouts.header')
<?php
use App\Models\Categories;
?>
<main id="main-container">
        <!-- Hero -->
        <div class="bg-body-light">
          <div class="content content-full">
            <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
              <h1 class="flex-grow-1 fs-3 fw-semibold my-2 my-sm-3">Categories</h1>
              <nav class="flex-shrink-0 my-2 my-sm-0 ms-sm-3" aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item">Dashboard</li>
                  <li class="breadcrumb-item">Product</li>
                  <li class="breadcrumb-item active" aria-current="page">Categories</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
        <!-- END Hero -->

        <!-- Page Content -->
        <div class="content">
          <!-- Your Block -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Categories</h3>
            </div>
            <div class="block-content">
            @if(Session::has('success')) <div class="alert alert-success mt-2 mb-2">{{ Session::get('success') }}</div>@endif
            @if(Session::has('fail')) <div class="alert alert-danger mt-2 mb-2">{{ Session::get('fail') }}</div>@endif
            <form class="row" action="" method="POST" >
            @csrf
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Parent Category</label>
                      <select class="js-select2 form-select" id="example-select2" name="parent_category" style="width: 100%;" >
                      <option value="none">None</option>
                      <?php foreach($parent_categories as $parent_category){ ?> 
                        <option value="{{$parent_category->id}}">{{$parent_category->category_name}}</option>
                        <?php } ?>
                      </select>
                      @if($errors->has("parent_category")) <div class="alert alert-danger mt-2">{{ $errors->first('parent_category') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Category name</label>
                      <input type="text" class="form-control" name="category_name">
                      @if($errors->has("category_name")) <div class="alert alert-danger mt-2">{{ $errors->first('category_name') }}</div>@endif
                    </div>
                    
                    <div>
                      <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                  </form>
            </div>
          </div>


          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Categories</h3>
            </div>
            <div class="block-content">

            <table class="table table-bordered table-striped table-vcenter js-dataTable-buttons">
                <thead>
                  <tr>
                  <th>Parent Category</th>
                  <th>Category Name</th>
                  <th>status</th>
                  <th>Actions</th>
                  </tr>
                </thead>
                <tbody>
                <?php foreach($categories as $category) {
                ?>
                  <tr>
                    <td class="fw-semibold">
                    <?php if($category->parent_category == "none") { ?>
                      None
                    <?php } else { ?>
                    {{Categories::where('id', $category->parent_category)->value('category_name')}}
                    <?php } ?>
                    </td>
                    <td class="fw-semibold">
                    {{$category->category_name}}
                    </td>
                   
                    <td class="fw-semibold">
                    <?php if($category->status == "active") { ?>
                        <span class="badge bg-success">Active</span>
                    <?php } else { ?>
                        <span class="badge bg-danger">Inactive</span>
                    <?php } ?>
                    </td>
                    <td class="text-center">
                        <div class="btn-group">
                        <a href="{{ url('admin/edit-category/'.$category->id.'') }}" ><button type="button" class="btn btn-sm btn-alt-primary js-bs-tooltip-enabled" data-bs-toggle="tooltip" aria-label="Edit" data-bs-original-title="Edit">
                            <i class="fa fa-pencil-alt"></i>
                          </button></a>
                          <a href="{{ url('admin/activate-category/'.$category->id.'') }}" ><button type="button" class="btn btn-sm btn-alt-success js-bs-tooltip-enabled" data-bs-toggle="tooltip" aria-label="Activate" data-bs-original-title="Activate">
                            <i class="fa fa-check"></i>
                          </button></a>
                          <a href="{{ url('admin/deactivate-category/'.$category->id.'') }}" ><button type="button" class="btn btn-sm btn-alt-danger js-bs-tooltip-enabled" data-bs-toggle="tooltip" aria-label="Deactivate" data-bs-original-title="Deactivate">
                            <i class="fa fa-times"></i>
                          </button></a>
                        </div>
                      </td>
                  </tr>
                <?php } ?>
                </tbody>
              </table>
            </div>
          </div>
          <!-- END Your Block -->
        </div>
        <!-- END Page Content -->
</main>
<!-- END Main Container -->
@include('admin::layouts.footer')