@include('admin::layouts.header')
<?php
use App\Models\AdminDetails;
?>
<main id="main-container">
        <!-- Hero -->
        <div class="bg-body-light">
          <div class="content content-full">
            <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
              <h1 class="flex-grow-1 fs-3 fw-semibold my-2 my-sm-3">Companies</h1>
              <nav class="flex-shrink-0 my-2 my-sm-0 ms-sm-3" aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item">Dashboard</li>
                  <li class="breadcrumb-item">Suplier</li>
                  <li class="breadcrumb-item active" aria-current="page">Companies</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
        <!-- END Hero -->

        <!-- Page Content -->
        <div class="content">
          <!-- Your Block -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Companies</h3>
            </div>
            <div class="block-content">
            @if(Session::has('success')) <div class="alert alert-success mt-2 mb-2">{{ Session::get('success') }}</div>@endif
            @if(Session::has('fail')) <div class="alert alert-danger mt-2 mb-2">{{ Session::get('fail') }}</div>@endif
            <table class="table table-bordered table-striped table-vcenter js-dataTable-buttons">
                <thead>
                  <tr>
                  <th>Company Name</th>
                  <th>Address</th>
                  <th>Contact Person</th>
                  <th>Email</th>
                  <th>Phone Number</th>
                  <th>Company Website</th>
                  <th>Payment Terms</th>
                  <th>status</th>
                  <th>Actions</th>
                  </tr>
                </thead>
                <tbody>
                <?php foreach($companies as $company) {
                ?>
                  <tr>
                    <td class="fw-semibold">
                    {{$company->company_name}}
                    </td>
                    <td class="fw-semibold">
                    {{$company->address}}
                    </td>
                    <td class="fw-semibold">
                    {{$company->contact_person}}
                    </td>
                    <td class="fw-semibold">
                    {{$company->email}}
                    </td>
                    <td class="fw-semibold">
                    {{$company->phone_number}}
                    </td>
                    <td class="fw-semibold">
                    {{$company->company_website}}
                    </td>
                    <td class="fw-semibold">
                    {{$company->payment_terms}}
                    </td>
                    <td class="fw-semibold">
                    <?php if($company->status == "active") { ?>
                        <span class="badge bg-success">Active</span>
                    <?php } else { ?>
                        <span class="badge bg-danger">Inactive</span>
                    <?php } ?>
                    </td>
                    <td class="text-center">
                        <div class="btn-group">
                        <a href="{{ url('admin/edit-company/'.$company->id.'') }}" ><button type="button" class="btn btn-sm btn-alt-primary js-bs-tooltip-enabled" data-bs-toggle="tooltip" aria-label="Edit" data-bs-original-title="Edit">
                            <i class="fa fa-pencil-alt"></i>
                          </button></a>
                          <a href="{{ url('admin/activate-company/'.$company->id.'') }}" ><button type="button" class="btn btn-sm btn-alt-success js-bs-tooltip-enabled" data-bs-toggle="tooltip" aria-label="Activate" data-bs-original-title="Activate">
                            <i class="fa fa-check"></i>
                          </button></a>
                          <a href="{{ url('admin/deactivate-company/'.$company->id.'') }}" ><button type="button" class="btn btn-sm btn-alt-warning js-bs-tooltip-enabled" data-bs-toggle="tooltip" aria-label="Deactivate" data-bs-original-title="Deactivate">
                            <i class="fa fa-times"></i>
                          </button></a>
                          <a href="{{ url('admin/delete-company/'.$company->id.'') }}" onclick="return confirm('Are you sure you want to delete this ?');"><button type="button" class="btn btn-sm btn-alt-danger js-bs-tooltip-enabled" data-bs-toggle="tooltip" aria-label="Deactivate" data-bs-original-title="Deactivate">
                            <i class="fa fa-trash"></i>
                          </button></a>
                        </div>
                      </td>
                  </tr>
                <?php } ?>
                </tbody>
              </table>
            </div>
          </div>
          <!-- END Your Block -->
        </div>
        <!-- END Page Content -->
</main>
<!-- END Main Container -->
@include('admin::layouts.footer')