@include('admin::layouts.header')
<?php
use App\Models\Categories;
?>
<main id="main-container">
        <!-- Hero -->
        <div class="bg-body-light">
          <div class="content content-full">
            <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
              <h1 class="flex-grow-1 fs-3 fw-semibold my-2 my-sm-3">Edit Category</h1>
              <nav class="flex-shrink-0 my-2 my-sm-0 ms-sm-3" aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item">Dashboard</li>
                  <li class="breadcrumb-item">Product</li>
                  <li class="breadcrumb-item active" aria-current="page">Edit Category</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
        <!-- END Hero -->

        <!-- Page Content -->
        <div class="content">
          <!-- Your Block -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Edit Category</h3>
            </div>
            <div class="block-content">
            @if(Session::has('success')) <div class="alert alert-success mt-2 mb-2">{{ Session::get('success') }}</div>@endif
            @if(Session::has('fail')) <div class="alert alert-danger mt-2 mb-2">{{ Session::get('fail') }}</div>@endif
            <form class="row" action="" method="POST" >
            @csrf
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Parent Category</label>
                      <select class="js-select2 form-select" id="example-select2" name="parent_category" style="width: 100%;" >
                        <?php if($category_details->parent_category == "none") { ?>
                        <option value="none">None</option>
                        <?php } else { ?>
                            <option value="{{$category_details->parent_category}}">{{Categories::where('id', $category_details->parent_category)->value('category_name')}}</option>
                        <?php } ?>
                      <option value="none">None</option>
                      <?php foreach($parent_categories as $parent_category){ ?> 
                        <option value="{{$parent_category->id}}">{{$parent_category->category_name}}</option>
                        <?php } ?>
                      </select>
                      @if($errors->has("parent_category")) <div class="alert alert-danger mt-2">{{ $errors->first('parent_category') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Category name</label>
                      <input type="text" class="form-control" name="category_name" value="{{$category_details->category_name}}">
                      @if($errors->has("category_name")) <div class="alert alert-danger mt-2">{{ $errors->first('category_name') }}</div>@endif
                    </div>
                    
                    <div>
                      <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                  </form>
            </div>
          </div>
          <!-- END Your Block -->
        </div>
        <!-- END Page Content -->
</main>
<!-- END Main Container -->
@include('admin::layouts.footer')