@include('admin::layouts.header')
<main id="main-container">
        <!-- Hero -->
        <div class="bg-body-light">
          <div class="content content-full">
            <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
              <h1 class="flex-grow-1 fs-3 fw-semibold my-2 my-sm-3">Edit Company</h1>
              <nav class="flex-shrink-0 my-2 my-sm-0 ms-sm-3" aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item">Dashboard</li>
                  <li class="breadcrumb-item">Suplier</li>
                  <li class="breadcrumb-item active" aria-current="page">Edit Company</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
        <!-- END Hero -->

        <!-- Page Content -->
        <div class="content">
          <!-- Your Block -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Edit Company</h3>
            </div>
            <div class="block-content">
            @if(Session::has('success')) <div class="alert alert-success mt-2 mb-2">{{ Session::get('success') }}</div>@endif
            @if(Session::has('fail')) <div class="alert alert-danger mt-2 mb-2">{{ Session::get('fail') }}</div>@endif
            <form class="row" action="" method="POST" >
            @csrf
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Company Name</label>
                      <input type="text" class="form-control" name="company_name" value="{{$company_details->company_name}}">
                      @if($errors->has("company_name")) <div class="alert alert-danger mt-2">{{ $errors->first('company_name') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Address</label>
                      <input type="text" class="form-control" name="address" value="{{$company_details->company_name}}">
                      @if($errors->has("address")) <div class="alert alert-danger mt-2">{{ $errors->first('address') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Contact Person</label>
                      <input type="text" class="form-control" name="contact_person" value="{{$company_details->contact_person}}">
                      @if($errors->has("contact_person")) <div class="alert alert-danger mt-2">{{ $errors->first('contact_person') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Email</label>
                      <input type="text" class="form-control" name="email" value="{{$company_details->email}}">
                      @if($errors->has("email")) <div class="alert alert-danger mt-2">{{ $errors->first('email') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Phone Number</label>
                      <input type="text" class="form-control" name="phone_number" value="{{$company_details->phone_number}}">
                      @if($errors->has("phone_number")) <div class="alert alert-danger mt-2">{{ $errors->first('phone_number') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Company Website</label>
                      <input type="text" class="form-control" name="company_website" value="{{$company_details->company_website}}">
                      @if($errors->has("company_website")) <div class="alert alert-danger mt-2">{{ $errors->first('company_website') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Payment Terms</label>
                      <input type="text" class="form-control" name="payment_terms" value="{{$company_details->payment_terms}}">
                      @if($errors->has("payment_terms")) <div class="alert alert-danger mt-2">{{ $errors->first('payment_terms') }}</div>@endif
                    </div>
                    <div>
                      <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                  </form>
            </div>
          </div>
          <!-- END Your Block -->
        </div>
        <!-- END Page Content -->
</main>
<!-- END Main Container -->
@include('admin::layouts.footer')