@include('admin::layouts.header')
<?php
use App\Models\Categories;
use App\Models\Supliers;
use App\Models\Brands;
?>
<main id="main-container">
        <!-- Hero -->
        <div class="bg-body-light">
          <div class="content content-full">
            <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
              <h1 class="flex-grow-1 fs-3 fw-semibold my-2 my-sm-3">Edit Product</h1>
              <nav class="flex-shrink-0 my-2 my-sm-0 ms-sm-3" aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item">Dashboard</li>
                  <li class="breadcrumb-item">Product</li>
                  <li class="breadcrumb-item active" aria-current="page">Edit Product</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
        <!-- END Hero -->

        <!-- Page Content -->
        <div class="content">
          <!-- Your Block -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Edit Product</h3>
            </div>
            <div class="block-content">
            @if(Session::has('success')) <div class="alert alert-success mt-2 mb-2">{{ Session::get('success') }}</div>@endif
            @if(Session::has('fail')) <div class="alert alert-danger mt-2 mb-2">{{ Session::get('fail') }}</div>@endif
            <form class="row" action="" method="POST" enctype="multipart/form-data">
            @csrf
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Product Name</label>
                      <input type="text" class="form-control" name="product_name" value="{{$product_details->product_name}}">
                      @if($errors->has("product_name")) <div class="alert alert-danger mt-2">{{ $errors->first('product_name') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Product Code</label>
                      <input type="text" class="form-control" name="product_code" value="{{$product_details->product_code}}">
                      @if($errors->has("product_code")) <div class="alert alert-danger mt-2">{{ $errors->first('product_code') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Parent Category</label>
                      <select class="js-select2 form-select" id="parent_category" name="parent_category" style="width: 100%;" data-placeholder="Select a category..">
                        <?php if($product_details->parent_category) { ?> 
                            <option value="{{$product_details->parent_category}}">{{Categories::where('id', $product_details->parent_category)->value('category_name')}}</option>
                        <?php } ?>
                        <option></option>
                      <?php foreach($parent_categories as $parent_category){ ?> 
                        <option value="{{$parent_category->id}}">{{$parent_category->category_name}}</option>
                        <?php } ?>
                      </select>
                      @if($errors->has("contact_person")) <div class="alert alert-danger mt-2">{{ $errors->first('contact_person') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                    <label class="form-label">Sub Category</label>
                    <select class="js-select2 form-select" id="sub_category" name="sub_category" style="width: 100%;" data-placeholder="Select a parent category..">
                    <?php if($product_details->sub_category) { ?> 
                        <option value="{{$product_details->sub_category}}">{{Categories::where('id', $product_details->sub_category)->value('category_name')}}</option>
                    <?php } ?>
                    <option></option>
                    </select>
                      @if($errors->has("sub_category")) <div class="alert alert-danger mt-2">{{ $errors->first('sub_category') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                    <label class="form-label">Suplier</label>
                    <select class="js-select2 form-select" id="suplier" name="suplier" style="width: 100%;" data-placeholder="Select a suplier..">
                    <?php if($product_details->suplier) { ?> 
                        <option value="{{$product_details->suplier}}">{{Supliers::where('id', $product_details->suplier)->value('suplier_name')}}</option>
                    <?php } ?>
                    <option></option>
                    <?php foreach($supliers as $suplier){ ?> 
                        <option value="{{$suplier->id}}">{{$suplier->suplier_name}}</option>
                    <?php } ?>
                    </select>
                      @if($errors->has("suplier")) <div class="alert alert-danger mt-2">{{ $errors->first('suplier') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Brand</label>
                      <select class="js-select2 form-select" id="brand" name="brand" style="width: 100%;" data-placeholder="Select a brand..">
                    <?php if($product_details->brand) { ?> 
                        <option value="{{$product_details->brand}}">{{Brands::where('id', $product_details->brand)->value('brand_name')}}</option>
                    <?php } ?>
                      <option></option>
                      <?php foreach($brands as $brand){ ?> 
                      <option value="{{$brand->id}}">{{$brand->brand_name}}</option>
                      <?php } ?>
                    </select>
                      @if($errors->has("brand")) <div class="alert alert-danger mt-2">{{ $errors->first('brand') }}</div>@endif
                    </div>

                    <div class="col-md-3 mb-3">
                      <label class="form-label">SKU</label>
                      <input type="text" class="form-control" name="sku" value="{{$product_details->sku}}">
                      @if($errors->has("sku")) <div class="alert alert-danger mt-2">{{ $errors->first('sku') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Barcode</label>
                      <input type="text" class="form-control" name="sku" value="{{$product_details->barcode}}">
                      @if($errors->has("barcode")) <div class="alert alert-danger mt-2">{{ $errors->first('barcode') }}</div>@endif
                    </div>

                    <div class="col-md-3 mb-3">
                      <label class="form-label">Warehouse Location</label>
                      <select class="js-select2 form-select" id="warehouse_location" name="warehouse_location" style="width: 100%;" data-placeholder="Select a warehouse..">
                    <?php if($product_details->warehouse_location) { ?> 
                        <option value="{{$product_details->warehouse_location}}">{{$product_details->warehouse_location}}</option>
                    <?php } ?>
                      <option></option>
                      <option value="Home">Home</option>
                    </select>
                      @if($errors->has("warehouse_location")) <div class="alert alert-danger mt-2">{{ $errors->first('warehouse_location') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Units</label>
                      <input type="text" class="form-control" name="units" value="{{$product_details->units}}">
                      @if($errors->has("units")) <div class="alert alert-danger mt-2">{{ $errors->first('units') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Carton Size</label>
                      <input type="text" class="form-control" name="carton_size" value="{{$product_details->carton_size}}">
                      @if($errors->has("carton_size")) <div class="alert alert-danger mt-2">{{ $errors->first('carton_size') }}</div>@endif
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Featured Image</label>
                      <input type="file" class="form-control" name="featured_image" >
                      @if($errors->has("featured_image")) <div class="alert alert-danger mt-2">{{ $errors->first('featured_image') }}</div>@endif
                    </div>
                    <div class="col-md-12 mb-3">
                      <label class="form-label">Gallery Images</label>
                      <input type="file" class="form-control" name="gallery_images[]" multiple>
                      @if($errors->has("gallery_images")) <div class="alert alert-danger mt-2">{{ $errors->first('gallery_images') }}</div>@endif
                      <div class="row items-push js-gallery mt-4">
                        <?php foreach($product_gallery as $product_gal){ ?>
                                <div class="col-md-3 animated fadeIn">
                                    <div class="options-container fx-item-zoom-in fx-overlay-zoom-out">
                                        <img class="img-fluid options-item" src="{{ asset('db_files/product_images/'.$product_gal->image.'') }}" alt="">
                                        <div class="options-overlay bg-black-75">
                                        <div class="options-overlay-content">
                                            <a class="btn btn-sm btn-danger" href="{{ url('admin/delete-gallery-image/'.$product_gal->id) }}">
                                            <i class="fa fa-trash-can opacity-50 me-1"></i> Delete
                                            </a>
                                        </div>
                                        </div>
                                </div>
                                </div>
                        <?php } ?>
                    </div>
                    </div>
                    <div class="col-md-12 mb-3">
                      <label class="form-label">Description</label>
                      <textarea class="js-simplemde" id="description" name="description"><?php echo $product_details->description ?></textarea>
                      @if($errors->has("description")) <div class="alert alert-danger mt-2">{{ $errors->first('description') }}</div>@endif
                    </div>
                    <div>
                      <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                  </form>
            </div>
          </div>
          <!-- END Your Block -->
        </div>
        <!-- END Page Content -->
</main>
<!-- END Main Container -->
@include('admin::layouts.footer')

<script>
    $(document).ready(function() {
        $('#parent_category').change(function() {
            var parentId = $(this).val();
            $('#sub_category').empty();
            if (parentId) {
                $.ajax({
                    url: '{{ url('admin/get-sub-categories') }}/' + parentId,
                    type: 'GET',
                    dataType: 'json',
                    success: function(data) {
                        $.each(data, function(key, value) {
                            $('#sub_category').append('<option value="'+ value.id +'">'+ value.category_name +'</option>');
                        });
                    }
                });
            } else {
                $('#sub_category').append('<option value="">Select a sub category..</option>');
            }
        });
    });
</script>






