@include('admin::layouts.header')
<?php
use App\Models\CustomerDetails;
use App\Models\Products;
use App\Models\GRNS;
?>
<main id="main-container">
    <!-- Hero -->
    <div class="bg-body-light">
        <div class="content content-full">
            <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
                <h1 class="flex-grow-1 fs-3 fw-semibold my-2 my-sm-3">Add Order</h1>
                <nav class="flex-shrink-0 my-2 my-sm-0 ms-sm-3" aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">Dashboard</li>
                        <li class="breadcrumb-item">Sales</li>
                        <li class="breadcrumb-item active" aria-current="page">Add Order</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
    <!-- END Hero -->

    <!-- Page Content -->
    <div class="content">
        <!-- Your Block -->
        <div class="block block-rounded">
            <div class="block-header block-header-default">
                <h3 class="block-title">Add Order</h3>
            </div>
            <div class="block-content">
                @if(Session::has('success')) 
                    <div class="alert alert-success mt-2 mb-2"><?php echo Session::get('success') ?></div>
                @endif
                @if(Session::has('fail')) 
                    <div class="alert alert-danger mt-2 mb-2">{{ Session::get('fail') }}</div>
                @endif
                <form class="row" action="" method="POST">
                    @csrf
                    <div class="col-md-3 mb-3">
                        <label class="form-label">Sales Order Number</label>
                        <input type="text" class="form-control" name="sales_order_number" value="{{$orderNumber}}" readonly>
                        @if($errors->has("sales_order_number")) 
                            <div class="alert alert-danger mt-2">{{ $errors->first('sales_order_number') }}</div>
                        @endif
                    </div>
                    <div class="col-md-3 mb-3">
                        <label class="form-label">Customer</label>
                        <select class="js-select2 form-select" id="customer" name="customer" style="width: 100%;" data-placeholder="Select a customer.." required>
                            <?php if(old('customer')) { ?> 
                                <option value="{{old('customer')}}">{{CustomerDetails::where('user_id', old('customer'))->value('customer_name')}}</option>
                            <?php } ?>
                            <option></option>
                            <?php foreach($customers as $customer){ ?> 
                                <option value="{{$customer->id}}">{{$customer->customerDetails->customer_name}}</option>
                            <?php } ?>
                        </select>
                        @if($errors->has("customer")) 
                            <div class="alert alert-danger mt-2">{{ $errors->first('customer') }}</div>
                        @endif
                    </div>
                    <div class="col-md-3 mb-3">
                        <label class="form-label">Order Date</label>
                        <input type="date" class="form-control" name="order_date" value="{{old('order_date')}}" required>
                        @if($errors->has("order_date")) 
                            <div class="alert alert-danger mt-2">{{ $errors->first('order_date') }}</div>
                        @endif
                    </div>
                    <div class="col-md-3 mb-3">
                        <label class="form-label">Delivery Date</label>
                        <input type="date" class="form-control" name="delivery_date" value="{{old('delivery_date')}}" required>
                        @if($errors->has("delivery_date")) 
                            <div class="alert alert-danger mt-2">{{ $errors->first('delivery_date') }}</div>
                        @endif
                    </div>
                    <div class="col-md-3 mb-3">
                        <label class="form-label">Shipping Address</label>
                        <input type="text" class="form-control" name="shipping_address" value="{{old('shipping_address')}}" required>
                        @if($errors->has("shipping_address")) 
                            <div class="alert alert-danger mt-2">{{ $errors->first('shipping_address') }}</div>
                        @endif
                    </div>
                    <div class="col-md-3 mb-3">
                        <label class="form-label">Order Status</label>
                        <select class="js-select2 form-select" id="order_status" name="order_status" style="width: 100%;" data-placeholder="Select .." required>
                            <?php if(old('order_status')) { ?> 
                                <option value="{{old('order_status')}}">{{old('order_status')}}</option>
                            <?php } ?>
                            <option></option>
                            <option value="Pending">Pending</option>
                            <option value="Processed">Processed</option>
                            <option value="Shipped">Shipped</option>
                            <option value="Delivered">Delivered</option>
                            <option value="Canceled">Canceled</option>
                        </select>
                        @if($errors->has("order_status")) 
                            <div class="alert alert-danger mt-2">{{ $errors->first('order_status') }}</div>
                        @endif
                    </div>
                    <div class="col-md-3 mb-3">
                        <label class="form-label">Sales Person</label>
                        <input type="text" class="form-control" name="sales_person" value="{{old('sales_person')}}" required>
                        @if($errors->has("sales_person")) 
                            <div class="alert alert-danger mt-2">{{ $errors->first('sales_person') }}</div>
                        @endif
                    </div>
                    <div class="col-md-3 mb-3">
                        <label class="form-label">Price Method</label>
                        <select class="js-select2 form-select" id="price_method" name="price_method" style="width: 100%;" data-placeholder="Select .." required>
                            <?php if(old('price_method')) { ?> 
                                <option value="{{old('price_method')}}">{{old('price_method')}}</option>
                            <?php } ?>
                            <option></option>
                            <option value="retail">Retail</option>
                            <option value="wholesale">Wholesale</option>
                        </select>
                        @if($errors->has("price_method")) 
                            <div class="alert alert-danger mt-2">{{ $errors->first('price_method') }}</div>
                        @endif
                    </div>
                    <div class="col-md-3 mb-3">
                        <label class="form-label">Due Date</label>
                        <input type="date" class="form-control" name="due_date" value="{{old('due_date')}}" required>
                        @if($errors->has("due_date")) 
                            <div class="alert alert-danger mt-2">{{ $errors->first('due_date') }}</div>
                        @endif
                    </div>
                    <div class="col-md-12 mb-3">
                        <label class="form-label">Notes</label>
                        <textarea class="form-control" name="notes" rows="3">{{old('notes')}}</textarea>
                        @if($errors->has("notes")) 
                            <div class="alert alert-danger mt-2">{{ $errors->first('notes') }}</div>
                        @endif
                    </div>
                    <div class="col-md-12 mb-3">
                        <label class="form-label">Payment Terms</label>
                        <textarea class="form-control" name="payment_terms" rows="3">{{old('payment_terms')}}</textarea>
                        @if($errors->has("payment_terms")) 
                            <div class="alert alert-danger mt-2">{{ $errors->first('payment_terms') }}</div>
                        @endif
                    </div>
                    <div>
                        <button type="button" class="btn btn-success me-1 mt-1" onclick="AddMoreProducts()">
                            <i class="fa fa-fw fa-plus me-1"></i> Add More Products
                        </button>
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-vcenter mt-4">
                                <thead>
                                    <tr>
                                        <th>Product</th>
                                        <th>Batch</th>
                                        <th>Price</th>
                                        <th>Quantity</th>
                                        <th>Total</th>
                                    </tr>
                                </thead>
                                <tbody id="products-tbody">
                                    <tr>
                                        <td>
              
                                            <select class="js-select2 form-select product-select" name="product[]" style="width: 100%;" data-placeholder="Select a product.." required>
                                                <option></option>
                                                <?php foreach($products as $product){ ?> 
                                                    <option value="{{$product->id}}">{{$product->product_name}}</option>
                                                <?php } ?>
                                            </select>
                                        </td>
                                        <td>
                                            <select class="js-select2 form-select batch-select" name="batch[]" style="width: 100%;" data-placeholder="Select a batch.." required>
                                                <option></option>
                                            </select>
                                        </td>
                                        <td>
                                            <input type="number" class="form-control price-input" name="price[]" required>
                                        </td>
                                        <td>
                                            <input type="number" class="form-control quantity-input" name="quantity[]"  value="1" required>
                                        </td>
                                       
                                        <td class="total-cell"></td>
                                        <td ></td>
                                    </tr>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th colspan="4" style="text-align:right">Sub Total</th>
                                        <th id="sub-total"></th>
                                    </tr>
                                    <tr>
                                        <th colspan="4" style="text-align:right">Tax (%) +</th>
                                        <th><input type="number" class="form-control" name="tax" id="tax"  value="0" onkeyup="updateTotal()"></th>
                                    </tr>
                                    <tr>
                                        <th colspan="4" style="text-align:right">Discount (%) -</th>
                                        <th><input type="number" class="form-control" name="discount" id="discount" onkeyup="updateTotal()"  value="0"></th>
                                    </tr>
                                    <tr>
                                        <th colspan="4" style="text-align:right">Total</th>
                                        <th  id="order-total"></th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                        <input type="hidden" name="sub_total_input" id="sub_total_input" value="0">
                        <input type="hidden" name="order_total_input" id="order_total_input" value="0">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </form>
            </div>
        </div>
        <!-- END Your Block -->
    </div>
    <!-- END Page Content -->
</main>
<!-- END Main Container -->
@include('admin::layouts.footer')

<script>
    function AddMoreProducts() {
        var newRow = `<tr>
            <td>
                <select class="js-select2 form-select product-select" name="product[]" style="width: 100%;" data-placeholder="Select a product.." required>
                    <option></option>
                    <?php foreach($products as $product){ ?> 
                        <option value="{{$product->id}}">{{$product->product_name}}</option>
                    <?php } ?>
                </select>
            </td>
            <td>
                <select class="js-select2 form-select batch-select" name="batch[]" style="width: 100%;" data-placeholder="Select a batch.." required>
                    <option></option>
                </select>
            </td>
            <td>
                <input type="number" class="form-control price-input" name="price[]" required>
            </td>
            <td>
                <input type="number" class="form-control quantity-input" name="quantity[]" value="1" required>
            </td>
            <td class="total-cell"></td>
            <td >   <button type="button" class="btn btn-danger btn-xs btn-remove">
                                               X
                                            </button></td>
        </tr>`;
        $('#products-tbody').append(newRow);

        // Initialize select2 for new elements
        $('.js-select2').select2();

        // Add event listeners for new elements
        addEventListeners();
    }

    function addEventListeners() {
        $('.product-select').last().change(onProductChange);
        $('.batch-select').last().change(onBatchChange);
        $('.price-input').last().on('input', onPriceOrQuantityChange);
        $('.quantity-input').last().on('input', onPriceOrQuantityChange);
    }

    function onProductChange() {
        var row = $(this).closest('tr');
        var productId = $(this).val();
        var batchSelect = row.find('.batch-select');
        batchSelect.empty();
        if (productId) {
            $.ajax({
                url: '{{ url('admin/get-batches') }}/' + productId,
                type: 'GET',
                dataType: 'json',
                success: function(data) {
                    batchSelect.append('<option></option>');
                    $.each(data, function(key, value) {
                        batchSelect.append('<option value="'+ value.id +'" data-retail="' + value.retail_selling_price + '" data-wholesale="' + value.wholesale_selling_price + '">'+ value.grn_number +'</option>');
                    });
                }
            });
        } else {
            batchSelect.append('<option value="">Select a batch..</option>');
        }
    }

    function onBatchChange() {
        var row = $(this).closest('tr');
        var priceMethod = $('#price_method').val();
        var priceInput = row.find('.price-input');
        var selectedOption = $(this).find(':selected');
        var retailPrice = selectedOption.data('retail');
        var wholesalePrice = selectedOption.data('wholesale');

        if (priceMethod === 'retail') {
            priceInput.val(retailPrice);
        } else {
            priceInput.val(wholesalePrice);
        }

        calculateTotal(row);
        calculateOrderSubTotal(); // Update the order subtotal
        updateTotal(); // Update the order total
    }

    function onPriceOrQuantityChange() {
        var row = $(this).closest('tr');
        calculateTotal(row);
        calculateOrderSubTotal(); // Update the order subtotal
        updateTotal(); // Update the order total
    }

    function calculateTotal(row) {
        var price = parseFloat(row.find('.price-input').val()) || 0;
        var quantity = parseFloat(row.find('.quantity-input').val()) || 0;
        var total = price * quantity;
        row.find('.total-cell').text(total.toFixed(2));
    }

    function calculateOrderSubTotal() {
        var orderSubTotal = 0;
        $('#products-tbody tr').each(function() {
            var total = parseFloat($(this).find('.total-cell').text()) || 0;
            orderSubTotal += total;
        });
        $('#sub-total').text(orderSubTotal.toFixed(2));
        $('#sub_total_input').val(orderSubTotal);
    }

    function updateTotal() {
        var subTotal = parseFloat($('#sub-total').text()) || 0;
        var tax = parseFloat($('#tax').val()) || 0;
        var discount = parseFloat($('#discount').val()) || 0;

        var taxAmount = (subTotal * tax) / 100;
        var discountAmount = (subTotal * discount) / 100;
        var orderTotal = subTotal + taxAmount - discountAmount;

        $('#order-total').text(orderTotal.toFixed(2));
        $('#order_total_input').val(orderTotal);
    }
    document.getElementById('products-tbody').addEventListener('click', function(event) {
        if (event.target.matches('.btn-remove, .btn-remove *')) {
            removeRow(event);
        }
    });
    function removeRow(event) {
        const button = event.target;
        const row = button.closest('tr');
        row.remove();
        calculateOrderSubTotal();
        updateTotal();
    }
    // Initial event listeners
    $(document).ready(function() {
        $('.product-select').change(onProductChange);
        $('.batch-select').change(onBatchChange);
        $('.price-input').on('input', onPriceOrQuantityChange);
        $('.quantity-input').on('input', onPriceOrQuantityChange);
        $('#tax').on('input', updateTotal);
        $('#discount').on('input', updateTotal);

        // Initial calculation of the order total
        calculateOrderSubTotal();
        updateTotal();
    });

</script>
