@include('admin::layouts.header')
<?php
use App\Models\CustomerDetails;
use App\Models\User;
use App\Models\Products;

?>
<main id="main-container">
        <!-- Hero -->
        <div class="bg-body-light">
          <div class="content content-full">
            <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
              <h1 class="flex-grow-1 fs-3 fw-semibold my-2 my-sm-3">All Orders</h1>
              <nav class="flex-shrink-0 my-2 my-sm-0 ms-sm-3" aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item">Dashboard</li>
                  <li class="breadcrumb-item">Sales</li>
                  <li class="breadcrumb-item active" aria-current="page">All Orders</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
        <!-- END Hero -->

        <!-- Page Content -->
        <div class="content">
          <!-- Your Block -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">All Orders</h3>
            </div>
            <div class="block-content">
            @if(Session::has('success')) <div class="alert alert-success mt-2 mb-2">{{ Session::get('success') }}</div>@endif
            @if(Session::has('fail')) <div class="alert alert-danger mt-2 mb-2">{{ Session::get('fail') }}</div>@endif
            <table class="table table-bordered table-striped table-vcenter  js-dataTable-buttons">
                <thead>
                  <tr>
                  <th>Customer</th>
                  <th>Customer Type</th>
                  <th>Customer Phone</th>
                  <th>Customer Email</th>
                  <th>Order Date</th>
                  <th>Products</th>
                  <th>Actions</th>
                  </tr>
                </thead>
                <tbody>
                <?php foreach($orders as $orders) {
                    $name = CustomerDetails::where('user_id', $orders->customer_id)->value('customer_name');
                    $type = CustomerDetails::where('user_id', $orders->customer_id)->value('customer_type');
                    $phone = CustomerDetails::where('user_id', $orders->customer_id)->value('phone');
                    $email = User::where('id', $orders->customer_id)->value('email');
                    $orderArray = json_decode($orders->products, true);
                ?>
                  <tr>

                    <td class="fw-semibold">
                      {{$name}}
                    </td>
                    <td class="fw-semibold">
                      {{$type}}
                    </td>
                    <td class="fw-semibold">
                      {{$phone}}
                    </td>
                    <td class="fw-semibold">
                      {{$email}}
                    </td>
                    <td class="fw-semibold">
                      {{$orders->created_at}}
                    </td>
                    <td class="fw-semibold">
                   <?php 
                   foreach ($orderArray as $item) {
                    $productId = $item['product_id'];
                    $quantity = $item['quantity'];
                
                    // You can now access the product details if needed
                    $product = Products::find($productId);
                
                    // Perform your logic here
                    echo "Product Name: $product->product_name, Quantity: $quantity<br>";
                    }
                    ?>
                    </td>
                    <td class="text-center">
                        <div class="btn-group">
        
                          <a href="{{ url('admin/delete-order-request/'.$orders->id.'') }}" ><button type="button" class="btn btn-sm btn-alt-danger js-bs-tooltip-enabled" data-bs-toggle="tooltip" aria-label="Delete" data-bs-original-title="Delete">
                            <i class="fa fa-trash"></i>
                          </button></a>
             
                        </div>
                      </td>
                  </tr>
                <?php } ?>
                </tbody>
              </table>
            </div>
          </div>
          <!-- END Your Block -->
        </div>
        <!-- END Page Content -->
</main>
<!-- END Main Container -->
@include('admin::layouts.footer')