<?php echo $__env->make('admin::layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php
use App\Models\Companies;
?>
<main id="main-container">
        <!-- Hero -->
        <div class="bg-body-light">
          <div class="content content-full">
            <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
              <h1 class="flex-grow-1 fs-3 fw-semibold my-2 my-sm-3">Edit Suplier</h1>
              <nav class="flex-shrink-0 my-2 my-sm-0 ms-sm-3" aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item">Dashboard</li>
                  <li class="breadcrumb-item">Suplier</li>
                  <li class="breadcrumb-item active" aria-current="page">Edit Suplier</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
        <!-- END Hero -->

        <!-- Page Content -->
        <div class="content">
          <!-- Your Block -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Edit Suplier</h3>
            </div>
            <div class="block-content">
            <?php if(Session::has('success')): ?> <div class="alert alert-success mt-2 mb-2"><?php echo e(Session::get('success')); ?></div><?php endif; ?>
            <?php if(Session::has('fail')): ?> <div class="alert alert-danger mt-2 mb-2"><?php echo e(Session::get('fail')); ?></div><?php endif; ?>
            <form class="row" action="" method="POST" >
            <?php echo csrf_field(); ?>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Suplier Name</label>
                      <input type="text" class="form-control" name="suplier_name" value="<?php echo e($suplier_details->suplier_name); ?>">
                      <?php if($errors->has("suplier_name")): ?> <div class="alert alert-danger mt-2"><?php echo e($errors->first('suplier_name')); ?></div><?php endif; ?>
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Suplier ID</label>
                      <input type="text" class="form-control" name="suplier_id" value="<?php echo e($suplier_details->suplier_id); ?>">
                      <?php if($errors->has("suplier_id")): ?> <div class="alert alert-danger mt-2"><?php echo e($errors->first('suplier_id')); ?></div><?php endif; ?>
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Contact Details</label>
                      <input type="text" class="form-control" name="contact_details" value="<?php echo e($suplier_details->contact_details); ?>">
                      <?php if($errors->has("contact_details")): ?> <div class="alert alert-danger mt-2"><?php echo e($errors->first('contact_details')); ?></div><?php endif; ?>
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Associated Company</label>
                      <select class="js-select2 form-select" id="example-select2" name="associated_company" style="width: 100%;" data-placeholder="Choose one..">
                        <?php if($suplier_details->associated_company != null){ ?>
                        <option hidden value="<?php echo e($suplier_details->associated_company); ?>"><?php echo e(Companies::where('id', $suplier_details->associated_company)->value('company_name')); ?></option>
                        <?php } else{ ?> 
                        <option></option>
                        <?php } ?>
                        <?php foreach($companies as $company) { ?> 
                        <option value="<?php echo e($company->id); ?>"><?php echo e($company->company_name); ?></option>
                        <?php } ?>
                      </select>
                      <?php if($errors->has("associated_company")): ?> <div class="alert alert-danger mt-2"><?php echo e($errors->first('associated_company')); ?></div><?php endif; ?>
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Email</label>
                      <input type="text" class="form-control" name="email" value="<?php echo e($suplier_details->email); ?>">
                      <?php if($errors->has("email")): ?> <div class="alert alert-danger mt-2"><?php echo e($errors->first('email')); ?></div><?php endif; ?>
                    </div>
                    <div class="col-md-3 mb-3">
                      <label class="form-label">Phone Number</label>
                      <input type="text" class="form-control" name="phone_number" value="<?php echo e($suplier_details->phone_number); ?>">
                      <?php if($errors->has("phone_number")): ?> <div class="alert alert-danger mt-2"><?php echo e($errors->first('phone_number')); ?></div><?php endif; ?>
                    </div>
          
                    <div>
                      <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                  </form>
            </div>
          </div>
          <!-- END Your Block -->
        </div>
        <!-- END Page Content -->
</main>
<!-- END Main Container -->
<?php echo $__env->make('admin::layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Part Time Work\erp\Modules/Admin\resources/views/product/edit_suplier.blade.php ENDPATH**/ ?>